MODEMTEST(1)

NAME
modemtest - Tool to examining your modem through Perl's Device::SerialPort

SYNOPSIS
modemtest [OPTS] [DEVICE [BAUD [DATA [PARITY [STOP [FLOW]]]]]]

 DEVICE    Device to use as a serial port (default: "/dev/modem")
 BAUD      Serial speed to use            (default: 9600)
 DATA      Number of databits to use      (default: 8)
 PARITY    Type of parity to use          (default: "none")
 STOP      Number of stop bits to use     (default: 1)
 FLOW      Kind of flow control to use    (default: "none")

 -h, --help           Help report
     --skip-status    Skip modem status bit tests
     --hide-possible  Don't show all possible settings

DESCRIPTION
Some systems, serial ports, and modem behave in strange ways. To test the capabilities of Perl's Device::SerialPort, this tool queries the system settings for the given DEVICE, and attempts to set up the port and send the initialization string "ATE1" to the modem, reporting the results seen.

SEE ALSO
Device::SerialPort(3)

perl(1)

AUTHOR
Kees Cook <kees@outflux.net>.

COPYRIGHT AND LICENSE
Copyright 2000-2004 by Kees Cook <kees@outflux.net>.

This program is free software; you may redistribute it and/or modify it under the same terms ans Perl itself.